uniform sampler2D texture;

uniform bool useThermalAlpha = false;
uniform float thermalAlpha = 0.0;

void main()
{
	vec4 pixel = texture2D(texture, gl_TexCoord[0].xy);
	gl_FragColor = pixel;

	if (useThermalAlpha)
		gl_FragColor.rgb = vec3(thermalAlpha);
}


